#pragma once

//------------------------------------------------------------------------------------------
//-------------			CCallPickUpMemberDetails
//------------------------------------------------------------------------------------------
class CCallSessionList;

class CCallPickUpMemberDetails
{

public:

	CCallPickUpMemberDetails();
	~CCallPickUpMemberDetails();

public: 

	CString m_sPickUpMemberName;


};

typedef CMap<CString, LPCTSTR, CCallPickUpMemberDetails*, CCallPickUpMemberDetails*> CMapCallPickUpMemberList;

//------------------------------------------------------------------------------------------
//-------------			CCallPickUpMemberList
//------------------------------------------------------------------------------------------

class CCallPickUpMemberList
{
public:
	CCallPickUpMemberList(void);
	~CCallPickUpMemberList(void);

public:

	CMapCallPickUpMemberList* m_pMemberList;

private:

	CString GenKey(LPCTSTR sMemberName);
	CCallPickUpMemberDetails* FindCallPickUpMember(LPCTSTR sMemberName);
	void DeleteDetailsAll();

public:

	BOOL AddMember(LPCTSTR sMemberName);
	void RemoveMember(LPCTSTR sMemberName);

	BOOL GetMemberList(CStringList& sMemberList);
	BOOL IsGroupMember(LPCTSTR sMemberName);
};

