#include "StdAfx.h"
#include "Define.h"
#include "VaxDirectProxy.h"
#include "VaxServerExCOM.h"

CVaxDirectProxy::CVaxDirectProxy(CVaxServerExCOM* pServerExCOM)
{
	m_pServerExCOM = pServerExCOM;
	m_bBlocked = FALSE;
}

CVaxDirectProxy::~CVaxDirectProxy()
{
}

void CVaxDirectProxy::SetData(LPCTSTR sAuthLogin, LPCTSTR sAuthPwd, LPCTSTR sDomainRealm, LPCTSTR sProxyIP, LONG lProxyPort, LPCTSTR sCodecList, int nToPeerType, LPCTSTR sToPeerName, BOOL bBlocked, LPCTSTR sRoomName)
{
	m_sAuthLogin = sAuthLogin;
	m_sAuthPwd   = sAuthPwd;
	
	m_sToPeerName = sToPeerName;
	m_sDomainRealm = sDomainRealm;
	
	m_sProxyIP = sProxyIP;
	m_sCodecList = sCodecList;
	
	m_sRoomName = sRoomName;
	
	m_lProxyPort = lProxyPort;

	m_nToPeerType = nToPeerType;
	m_sToPeerName = sToPeerName;

	m_bBlocked = bBlocked;
}

void CVaxDirectProxy::GetData(CString& sAuthLogin, CString& sAuthPwd, CString& sDomainRealm, CString& sProxyIP, LONG& lProxyPort, CString& sCodecList, int& nToPeerType, CString& sToPeerName, BOOL& bBlocked, CString& sRoomName)
{
	sAuthLogin = m_sAuthLogin;
	sAuthPwd   = m_sAuthPwd;
	
	sToPeerName = m_sToPeerName;
	sDomainRealm = m_sDomainRealm;
	
	sProxyIP = m_sProxyIP;
	sCodecList = m_sCodecList;
	
	sRoomName = m_sRoomName;
	
	lProxyPort = m_lProxyPort;

	nToPeerType = m_nToPeerType;
	sToPeerName = m_sToPeerName;

	bBlocked = m_bBlocked;
}
