﻿Public Class cStoreRoom
    Inherits cStoreRegistry

    Private Const ROOM_ROOT_PATH = "Rooms\\"

    Public Sub New()

    End Sub

    '////////////////////////////////////////////////////////////////////
    '////////////////////////////////////////////////////////////////////

    Public Function AddRoom(ByVal sRoomName As String, ByVal sRoomNo As String) As Boolean

        If (sRoomName.Length = 0) Then
            Return False
        End If

        Dim sPath As String = ROOM_ROOT_PATH + sRoomName
        Return MyBase.SetTEXT(sPath, "RoomNo", sRoomNo)

    End Function

    Public Sub RemoveRoom(ByVal sRoomName As String)

        If (sRoomName.Length = 0) Then
            Return
        End If

        Dim sPath As String = ROOM_ROOT_PATH + sRoomName
        MyBase.DeleteSubKey(sPath)

    End Sub

    '//////////////////////////////////////////////////////////////////////////////////////////
    '//////////////////////////////////////////////////////////////////////////////////////////

    Public Function GetRoom(ByVal sRoomName As String, ByRef sRoomNo As String) As Boolean

        If (sRoomName.Length = 0) Then
            Return False
        End If

        Dim sPath As String = ROOM_ROOT_PATH + sRoomName
        Return MyBase.GetTEXT(sPath, "RoomNo", sRoomNo)

    End Function

    Public Function GetRoomAll(ByRef objRoomList As List(Of String)) As Boolean

        objRoomList.Clear()

        Dim sPath As String = ROOM_ROOT_PATH
        Return MyBase.EnumSubKeys(sPath, objRoomList)

    End Function

    Public Function IsDataStored() As Boolean
        Return MyBase.IsKeyExist(ROOM_ROOT_PATH)
    End Function

End Class
