#pragma once

#include "StoreRegistry.h"

class CStoreLine :public CStoreRegistry
{

public:

	CStoreLine(void);
	~CStoreLine(void);

public:

	BOOL AddLine(LPCTSTR sLineName, LPCTSTR sDisplayName, LPCTSTR sUserName, LPCTSTR sAuthUser, LPCTSTR sAuthPwd, LPCTSTR sDomainRealm, LPCTSTR sProxySIP, LPCTSTR sOutboundProxySIP, LPCTSTR sCodecList , BOOL bRegister);
	BOOL GetLine(LPCTSTR sLineName, CString& sDisplayName, CString& sUserName, CString& sAuthUser, CString& sAuthPwd, CString& sDomainRealm, CString& sProxySIP, CString& sOutboundProxySIP, CString& sCodecList, BOOL& bRegister );
	void RemoveLine(LPCTSTR sLineName );

	BOOL AddLineRoute(LPCTSTR sLineName, int nToPeerType, CString sToPeerName, BOOL bRejected, CString sRoomName, CString sQueueName, CString sRingGroupName);
	BOOL GetLineRoute(LPCTSTR sLineName,int& nToPeerType, CString& sToPeerName, BOOL& bRejected, CString& sRoomName, CString& sQueueName, CString& sRingGroupName);
    BOOL RemoveLineRoute(LPCTSTR sLineName);

   void GetLineAll(CStringList* pLineList);
   BOOL IsDataStored();
};

