#pragma once

class CStoreRegistry
{

public:

	CStoreRegistry(void);
	~CStoreRegistry(void);

private:

	HKEY m_hKey;

private:

	BOOL Open();
	void Close();

	HKEY CreateKey(CString sKeyName);
	HKEY OpenKey(CString sKeyName);

public:
   

   BOOL SetTEXT(LPCTSTR sKeyName, LPCTSTR sValueName, LPCTSTR sValueData);
   BOOL SetDWORD(LPCTSTR sKeyName, LPCTSTR sValueName, DWORD dwValueData);
   BOOL SetINT(LPCTSTR sKeyName, LPCTSTR sValueName, int nValueData);
   BOOL SetBOOL(LPCTSTR sKeyName, LPCTSTR sValueName, BOOL bValueData);

   BOOL GetTEXT(LPCTSTR sKeyName, LPCTSTR sValueName, CString& sValueData);
   BOOL GetDWORD(LPCTSTR sKeyName, LPCTSTR sValueName, DWORD& dwValueData);
   BOOL GetINT(LPCTSTR sKeyName, LPCTSTR sValueName, int& nValueData);
   BOOL GetBOOL(LPCTSTR sKeyName, LPCTSTR sValueName, BOOL& bValueData);

   BOOL DeleteSubKey(LPCTSTR sKeyName);
   BOOL EnumSubKeys(LPCTSTR sKeyRootName, CStringList* objListSubKey);

   BOOL IsKeyExist(LPCTSTR sSubKeyName);
   BOOL DeleteValue(LPCTSTR sKeyRootName, LPCTSTR sValueName);
	   
};

